#include<bits/stdc++.h>
using namespace std;

long long a[100001];

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    long long n, k;
    cin>>n>>k;

    for(int i = 0; i < n; i++) {
        cin>>a[i];
    }

    long long ans = 0;
    for(int i = 0; i < n; i++) {
        long long cur = a[i];
        for(int j = i; j < n; j++) {
            cur = cur | a[j];
            if(cur >= k) {
                ans += n - j;
                break;
            }
        }
    }

    cout<<ans<<endl;


    return 0;
}

